using System.ComponentModel.DataAnnotations;

namespace PowerEasy.WebFuture.DataMigrations.Foundation.Model
{
    /// <summary>
    /// 列表页状态筛选类型
    /// </summary>
    public enum SuperviseStatusBarType
    {
        /// <summary>
        /// 即将逾期。
        /// </summary>
        [Display(Name = "即将逾期")]
        SoonOverdue = 96,

        /// <summary>
        /// 逾期未办理。
        /// </summary>
        [Display(Name = "逾期未办理")]
        OverdueProcessing = 97,

        /// <summary>
        /// 逾期已办理。
        /// </summary>
        [Display(Name = "逾期已办理")]
        OverdueFinished = 98,

        /// <summary>
        /// 全部。
        /// </summary>
        [Display(Name = "全部")]
        All = 99
    }
}
